.login {
    margin-left: auto;
}

.room_buttons {
    margin-top: 20vh;
}

.search_room {
    margin-top: 10vh;
}

.button.primary {
    background-color: #007BFF;
    color: white;
    cursor: pointer;
    width: 30%;
    padding: 1.2%;
    border: none;
    border-radius: 4px;
    transition: background-color 0.3s;
}

.button.primary:hover {
    background-color: #0056b3;
}